| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Enumerations | Functions
CHIP: LPC18xx/43xx Event router driver
LPC18xx/43xx chip specific drivers

## Detailed Description

## Data Structures
struct | LPC_EVRT_T
| Event Router register structure. More...

## Macros
#define | PARAM_EVRT_SOURCE(n)
| Macro for checking for a valid EVRT source.
#define | PARAM_EVRT_SOURCE_ACTIVE_TYPE(n)
| Macro for checking for a valid EVRT state type.

## Enumerations
enum | CHIP_EVRT_SRC_T { EVRT_SRC_WAKEUP0, EVRT_SRC_WAKEUP1, EVRT_SRC_WAKEUP2, EVRT_SRC_WAKEUP3, EVRT_SRC_ATIMER, EVRT_SRC_RTC, EVRT_SRC_BOD1, EVRT_SRC_WWDT, EVRT_SRC_ETHERNET, EVRT_SRC_USB0, EVRT_SRC_USB1, EVRT_SRC_SDIO, EVRT_SRC_CCAN, EVRT_SRC_COMBINE_TIMER2, EVRT_SRC_COMBINE_TIMER6, EVRT_SRC_QEI, EVRT_SRC_COMBINE_TIMER14, EVRT_SRC_RESERVED1, EVRT_SRC_RESERVED2, EVRT_SRC_RESET }
| EVRT input sources. More...
enum | CHIP_EVRT_SRC_ACTIVE_T { EVRT_SRC_ACTIVE_LOW_LEVEL, EVRT_SRC_ACTIVE_HIGH_LEVEL, EVRT_SRC_ACTIVE_FALLING_EDGE, EVRT_SRC_ACTIVE_RISING_EDGE }
| EVRT input state detecting type. More...

## Functions
void | Chip_EVRT_Init (void)
| Initialize the EVRT.
void | Chip_EVRT_ConfigIntSrcActiveType (CHIP_EVRT_SRC_T EVRT_Src, CHIP_EVRT_SRC_ACTIVE_T type)
| Set up the type of interrupt type for a source to EVRT.
IntStatus | Chip_EVRT_IsSourceInterrupting (CHIP_EVRT_SRC_T EVRT_Src)
| Check if a source is sending interrupt to EVRT.
void | Chip_EVRT_SetUpIntSrc (CHIP_EVRT_SRC_T EVRT_Src, FunctionalState state)
| Enable or disable interrupt sources to EVRT.
STATIC INLINE void | Chip_EVRT_DeInit (void)
| De-initializes the EVRT peripheral.
STATIC INLINE void | Chip_EVRT_ClrPendIntSrc (CHIP_EVRT_SRC_T EVRT_Src)
| Clear pending interrupt EVRT source.

## Macro Definition Documentation

#define PARAM_EVRT_SOURCE | ( |  | n | ) |

Value:
((n == EVRT_SRC_WAKEUP0) || (n == EVRT_SRC_WAKEUP1) \
|| (n == EVRT_SRC_WAKEUP2) || (n == EVRT_SRC_WAKEUP3) \
|| (n == EVRT_SRC_ATIMER) || (n == EVRT_SRC_RTC) \
|| (n == EVRT_SRC_BOD1) || (n == EVRT_SRC_WWDT) \
|| (n == EVRT_SRC_ETHERNET) || (n == EVRT_SRC_USB0) \
|| (n == EVRT_SRC_USB1) || (n == EVRT_SRC_CCAN) || (n == EVRT_SRC_SDIO) \
|| (n == EVRT_SRC_COMBINE_TIMER2) || (n == EVRT_SRC_COMBINE_TIMER6) \
|| (n == EVRT_SRC_QEI) || (n == EVRT_SRC_COMBINE_TIMER14) \
|| (n == EVRT_SRC_RESET)) \

Macro for checking for a valid EVRT source.

Definition at line 88 of file evrt_18xx_43xx.h.

#define PARAM_EVRT_SOURCE_ACTIVE_TYPE | ( |  | n | ) |

Value:
((n == EVRT_SRC_ACTIVE_LOW_LEVEL) || (n == EVRT_SRC_ACTIVE_HIGH_LEVEL) \
|| (n == EVRT_SRC_ACTIVE_FALLING_EDGE) || (n == EVRT_SRC_ACTIVE_RISING_EDGE))

Macro for checking for a valid EVRT state type.

Definition at line 111 of file evrt_18xx_43xx.h.

## Enumeration Type Documentation

enum CHIP_EVRT_SRC_ACTIVE_T

EVRT input state detecting type.

Enumerator:

  EVRT_SRC_ACTIVE_LOW_LEVEL | Active low level
  EVRT_SRC_ACTIVE_HIGH_LEVEL | Active high level
  EVRT_SRC_ACTIVE_FALLING_EDGE | Active falling edge
  EVRT_SRC_ACTIVE_RISING_EDGE | Active rising edge

Definition at line 101 of file evrt_18xx_43xx.h.

enum CHIP_EVRT_SRC_T

EVRT input sources.

Enumerator:

  EVRT_SRC_WAKEUP0 | WAKEUP0 event router source
  EVRT_SRC_WAKEUP1 | WAKEUP1 event router source
  EVRT_SRC_WAKEUP2 | WAKEUP2 event router source
  EVRT_SRC_WAKEUP3 | WAKEUP3 event router source
  EVRT_SRC_ATIMER | Alarm timer event router source
  EVRT_SRC_RTC | RTC event router source
  EVRT_SRC_BOD1 | BOD event router source
  EVRT_SRC_WWDT | WWDT event router source
  EVRT_SRC_ETHERNET | Ethernet event router source
  EVRT_SRC_USB0 | USB0 event router source
  EVRT_SRC_USB1 | USB1 event router source
  EVRT_SRC_SDIO | Reserved
  EVRT_SRC_CCAN | C_CAN event router source
  EVRT_SRC_COMBINE_TIMER2 | Combined timer 2 event router source
  EVRT_SRC_COMBINE_TIMER6 | Combined timer 6 event router source
  EVRT_SRC_QEI | QEI event router source
  EVRT_SRC_COMBINE_TIMER14 | Combined timer 14 event router source
  EVRT_SRC_RESERVED1 | Reserved
  EVRT_SRC_RESERVED2 | Reserved
  EVRT_SRC_RESET | Reset event router source

Definition at line 62 of file evrt_18xx_43xx.h.

## Function Documentation

STATIC INLINE void Chip_EVRT_ClrPendIntSrc | ( | CHIP_EVRT_SRC_T | EVRT_Src | ) |

Clear pending interrupt EVRT source.

Parameters

  EVRT_Src | : EVRT source, should be one of CHIP_EVRT_SRC_T type

Returns
  Nothing

Definition at line 158 of file evrt_18xx_43xx.h.

void Chip_EVRT_ConfigIntSrcActiveType | ( | CHIP_EVRT_SRC_T | EVRT_Src,
|  | CHIP_EVRT_SRC_ACTIVE_T | type
| ) |  |

Set up the type of interrupt type for a source to EVRT.

Parameters

  EVRT_Src | : EVRT source, should be one of CHIP_EVRT_SRC_T type
  type | : EVRT type, should be one of CHIP_EVRT_SRC_ACTIVE_T type

Returns
  Nothing

Definition at line 65 of file evrt_18xx_43xx.c.

STATIC INLINE void Chip_EVRT_DeInit | ( | void |  | ) |

De-initializes the EVRT peripheral.

Returns
  Nothing

Definition at line 147 of file evrt_18xx_43xx.h.

void Chip_EVRT_Init | ( | void |  | ) |

Initialize the EVRT.

Returns
  Nothing

Definition at line 51 of file evrt_18xx_43xx.c.

IntStatus Chip_EVRT_IsSourceInterrupting | ( | CHIP_EVRT_SRC_T | EVRT_Src | ) |

Check if a source is sending interrupt to EVRT.

Parameters

  EVRT_Src | : EVRT source, should be one of CHIP_EVRT_SRC_T type

Returns
  true if the interrupt from the source is pending, otherwise false

Definition at line 105 of file evrt_18xx_43xx.c.

void Chip_EVRT_SetUpIntSrc | ( | CHIP_EVRT_SRC_T | EVRT_Src,
|  | FunctionalState | state
| ) |  |

Enable or disable interrupt sources to EVRT.

Parameters

  EVRT_Src | : EVRT source, should be one of CHIP_EVRT_SRC_T type
  state | : ENABLE or DISABLE to enable or disable event router source

Returns
  Nothing

Definition at line 94 of file evrt_18xx_43xx.c.